services:
  server:
    build:
      context: .
    volumes:
       - db_data_sqlite:/var/lib/kutt
       - custom:/kutt/custom
    environment:
      DB_FILENAME: "/var/lib/kutt/data.sqlite"
      DISALLOW_REGISTRATION: true
      DISALLOW_ANONYMOUS_LINKS: true
      SITE_NAME: Marios Links
      JWT_SECRET: 8V52Jy2Yl6Jguo82I8hnPAkOjXs7SaIok5NqVBMy0WAFrYPlIk4rrnDOuUdZH006sibVkU8AbXc2u5yvRNLgQDLNejg5vPvSaMKB0lsMNI2bzQFUnyT21O6WENZO4Kjr
      DEFAULT_DOMAIN: l.marios.hackclub.app
    ports:
      - 3000:3000
volumes:
  db_data_sqlite:
  custom:
